<?php
  /**
   * Backup
   *
   * @package Digital Downloads Pro
   * @author wojoscripts.com
   * @copyright 2010
   * @version $Id: backup.php, v2.00 2011-07-10 10:12:05 gewa Exp $
   */
  if (!defined("_VALID_PHP"))
      die('. دسترسی مستقیم به این محل مجاز نمی باشد');
?>
<?php
  require_once(BASEPATH . "lib/class_dbtools.php");
  $tools = new dbTools();
  
  if (isset($_GET['backupok']) && $_GET['backupok'] == "1")
      $core->msgOk('<span>! موفقیت</span>! پشتیبان گیری با موافقیت انجام شد',1,1);

  if (isset($_GET['restore']) && $_GET['restore'] == "1")
      $core->msgOk('<span>! موفقیت</span>! پایگاه داده با موفقیت بازگردانده شد',1,1);
	    
  if (isset($_GET['create']) && $_GET['create'] == "1")
      $tools->doBackup('',false);

  if (isset($_POST['backup_file']))
      $tools->doRestore($_POST['backup_file']);
?>

<h1><img src="images/database-lrg.png" alt="" />تـعـمیـر و نگـهـداری بـانـک اطـلاعـاتـی</h1>
<p class="info">. جهت اطمینان خاطر، از بانک اطلاعاتی خود به طور مداوم نسخه پشتیبان تهیه نمائید<br/>
<!--Make sure your database is backed up frequently. -->
. با کلیک بر روی ایجاد نسخه پشتیبان، از پایگاه داده خود بصورت دستی نسخه پشتیبان تهیه نمائید<br />
 . ذخیره خواهد شد و از لیست زیر قابل دسترسی می باشد [<strong>/admin/backups/</strong>] نسخه پشتیبان در مسیر <br />
  . جدیدترین نسخه پشتیبان گیری بصورت های لایت مشخص شده است، می توانید آنهـا را دانلـود و یا حذف نمائید
  <!--Make sure you download your most recent backup, and delete the rest.--></p>
<h2><span>
  <button onclick="window.location='index.php?do=backup&amp;create=1';" type="button" class="button-alt-sml">تهیه نسخه پشتیبان</button>
  </span>مـشـاهـده جـدیـدتـریـن پشـتیـبـان گـیـری&nbsp;</h2>
<div id="backup">
<?php
        $dir = BASEPATH . 'admin/backups/';
        if (is_dir($dir))
            : $getDir = dir($dir);
        while (false !== ($file = $getDir->read()))
            : if ($file != "." && $file != ".." && $file != "index.php")
            : if ($file == $core->backup)
            : echo '<div class="db-backup new">';
        echo '<span class="filename">';
        echo str_replace(".sql", "", $file) . '</span>';
        echo '<a href="' . ADMINURL . '/backups/' . $file . '" title="دانـلــود : ' . $file . '" class="download tooltip">دانـلــود</a>';
		echo '<a href="javascript:void(0);" title="حـذف : ' . $file . '" class="delete tooltip">حـذف</a>';
        echo '</div>';
        else
            : echo '<div class="db-backup" id="item_' . $file . '">';
        echo '<span class="filename">' . str_replace(".sql", "", $file) . '</span>';
        echo ' <a href="' . ADMINURL . '/backups/' . $file . '" title="دانـلــود : ' . $file . '" class="download tooltip">دانـلــود</a>';
        echo '<a href="javascript:void(0);" title="حـذف : ' . $file . '" class="delete tooltip">حـذف</a>';
        echo '</div>';
        
        endif;
        endif;
        endwhile;
        $getDir->close();
        endif;
?>
  <br clear="left" />
</div>
<div class="box" style="margin-top:10px">
  <form action="" method="post" id="admin_form" name="admin_form">
    <table class="utility" cellspacing="0">
      <tr>
        <td><strong>بـازگـردانـدن پـایـگـاه داده :</strong>
          <?php
        if (is_dir($dir))
            : $getDir = dir($dir);
			echo '&nbsp;&nbsp;<select name="backup_file" class="select" style="width:250px">';
        while (false !== ($file = $getDir->read()))
            : if ($file != "." && $file != ".." && $file != "index.php"): 
        echo '<option value="' . $file . '">' . $file . '</option>';
        endif;
        endwhile;
		echo '</select>';
        $getDir->close();
        endif;
      ?>
          &nbsp;&nbsp;
          <button type="submit" class="button-sml">بـازگـردانـدن پـشتـیبـان گـیـری</button></td>
      </tr>
    </table>
  </form>
</div>
<div id="dialog-confirm" style="display:none;" title="حـذف پشتیبـان گیـری">
  <p style="font-family:tahoma; font-size:13px; text-align:right;">
  <span class="ui-icon ui-icon-alert" style="float:right; margin:5px 2px 10px 7px;"></span>
  آیا شما مطمئن هستید که می خواهید این رکورد را حذف کنید؟<br />
    <strong style="font-family:tahoma; font-size:12px; padding-top:8px; float:left;">!!!
	امکان بازگرداندن وجود ندارد</strong>'</p>
</div>
<script type="text/javascript"> 
// <![CDATA[
$(document).ready(function () {
    $('a.delete').live('click', function () {
        var parent = $(this).parent();
		var id = parent.attr('id').replace('item_', '')
		var title = $(this).attr('rel');
        $("#dialog-confirm").data({
            'delid': id,
            'parent': parent,
			'title': title
        }).dialog('open');
        return false;
    });

    $("#dialog-confirm").dialog({
        resizable: false,
        bgiframe: true,
        autoOpen: false,
        width: 400,
        height: "auto",
        zindex: 9998,
        modal: false,
        buttons: {
            'حـذف': function () {
                var parent = $(this).data('parent');
                var id = $(this).data('delid');
				var title = $(this).data('title');

                $.ajax({
                    type: 'post',
                    url: "controller.php",
                    data: 'deleteBackup=' + id,
                    beforeSend: function () {
                        parent.animate({
                            'backgroundColor': '#FFBFBF'
                        }, 400);
                    },
                    success: function (msg) {
                        parent.fadeOut(400, function () {
                            parent.remove();
                        });
						$("html, body").animate({scrollTop:0}, 600);
						$("#msgholder").html(msg);
                    }
                });

                $(this).dialog('close');
            },
            'انصـراف': function () {
                $(this).dialog('close');
            }
        }
    });
});
// ]]>
</script>